Ergebnis 1 bis 16 von 16

Thema: Meldung "Ihr Datenbank-Server läuft nicht im Strict-Mode!" nach Update

  1. #1
    Contao-Nutzer
    Registriert seit
    18.06.2017.
    Beiträge
    219

    Standard Meldung "Ihr Datenbank-Server läuft nicht im Strict-Mode!" nach Update

    Hallo,

    ich habe gerade bei All-Inkl im Install-Tool folgende Meldung:


    "Ihr Datenbank-Server läuft nicht im Strict-Mode!"
    Bisher hatte ich diese Meldung noch nicht. Habe ich da eine Einstellung übersehen oder muss seitens All-Inkl hier eine Änderung vorgenommen werden?
    Zuvor habe ich ein update von "4.9.19" auf Version "4.9.20" durchgeführt.

    Danke und Gruß

    Edit:

    Ich habe gerade diesen Beitrag gefunden:

    https://community.contao.org/de/show...Strict-Mode%21

    Da geht es allerdings um 4.11 auf 4.12. Kann ich das so übernehmen?

  2. #2
    Community-Moderatorin & Contao-Urgestein Avatar von mlweb
    Registriert seit
    10.07.2011.
    Beiträge
    5.658
    Partner-ID
    7421
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Die Meldung mit den vorgeschlagenen Änderungen der config.yml dürfte genau die Gleiche gewesen sein. Also ja kannst Du übernehmen, wenn ein Anpassung der Datenbankkonfiguration (ist im SharedHosting eher nicht möglich) nicht in Frage kommt.
    Ich habe Dir mit meinen Hinweisen geholfen und Du möchtest Dich bedanken?
    Unterstütze bitte das Contao-Projekt (Button Links)
    Weitere Spendenmöglichkeiten
    ------------------------------------------------------------------------------------------------------
    Contao-Dokumentation: Contao-Handbuch und Contao-Entwickler-Doku
    Contao-Online-Video-Kurse: Contao Academy
    Funktionalität erweitern: Contao-Erweiterungen

    Für Dinge die man mit html5 und css3 lösen kann, braucht man kein javascript.




  3. #3
    Contao-Fan Avatar von Nightwing
    Registriert seit
    29.05.2013.
    Beiträge
    436

    Standard

    Zitat Zitat von darkness Beitrag anzeigen
    [...] Habe ich da eine Einstellung übersehen oder muss seitens All-Inkl hier eine Änderung vorgenommen werden? [...]
    Nein, mehr kannst nicht machen: click me softly

    oder, wie es mlweb ausdrückt:

    Zitat Zitat von mlweb Beitrag anzeigen
    [...] ist im SharedHosting eher nicht möglich [...]
    ToM

  4. #4
    Contao-Nutzer
    Registriert seit
    18.06.2017.
    Beiträge
    219

    Standard

    Ah, das hatte ich überlesen. Danke Euch!

  5. #5
    Contao-Nutzer
    Registriert seit
    08.10.2013.
    Beiträge
    14

    Standard

    scheinbar läuft es bei anderen Hostern genauso in diese Problem.

    genau das selbe Problem bei netcup und Update von 4.9.19 auf 4.9.20.

    Trotz erstellen der config.yml und erneuern des Prod.-Cache über dem CM bleibt diese Meldung.

  6. #6
    Contao-Urgestein Avatar von tab
    Registriert seit
    22.10.2013.
    Beiträge
    9.487
    Contao-Projekt unterstützen

    Support Contao

    Standard

    Kann ich so nicht bestätigen, bei mir ist die Meldung nach erstellen der config.yml mit den im Installtool angezeigten Inhalten und erneuern des Anwendungscaches weg.
    Wurde dein Webhosting-Paket eventuell schon auf MySQL 8 umgestellt?

  7. #7
    Contao-Nutzer
    Registriert seit
    18.06.2017.
    Beiträge
    219

    Standard

    Habe eben bei All-Inkl die Config.yml angelegt und die Meldung ist weg.

    Läuft

  8. #8
    Contao-Nutzer
    Registriert seit
    08.10.2013.
    Beiträge
    14

    Standard

    Zitat Zitat von tab Beitrag anzeigen
    Kann ich so nicht bestätigen, bei mir ist die Meldung nach erstellen der config.yml mit den im Installtool angezeigten Inhalten und erneuern des Anwendungscaches weg.
    Wurde dein Webhosting-Paket eventuell schon auf MySQL 8 umgestellt?
    Problem gelößt.... das mal wieder vor dem Monitor saß.. hab die datei im falschen Ordner abgelegt.

  9. #9
    Contao-Nutzer
    Registriert seit
    24.10.2019.
    Beiträge
    12

    Lächelndes Gesicht

    Zitat Zitat von darkness Beitrag anzeigen
    Habe eben bei All-Inkl die Config.yml angelegt und die Meldung ist weg.

    Läuft
    Hallo, das interessiert mich sehr, bitte: Ich bin bei All-Inkl. in SharedHosting. Habe versucht gerade auf die Version 4.9.xx (neueste) zu wechseln, bekomme Fehlermeldung:
    Ihr Datenbank-Server läuft nicht im Strict-Mode!

    Rufe All-Inkl an. Antwort: können bei meinem Vertrag nicht anbieten.

    Kann mir jemand bitte erklären, wie ich das Problem umgehen kann, Bitte?

    Habe gerade eben den All-Inkl Backup der Seite abspielen müssen, um die Seite wieder zu aktivieren...

    Vielen Dank!!

  10. #10
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    29.578
    Partner-ID
    10107

    Standard

    Das ist keine Fehlermeldung nur ein Hinweis. Der Hinweis sagt dir auch, wie du den Strict Mode aktivieren kannst. Ist ansonsten auch im Handbuch dokumentiert: https://docs.contao.org/manual/de/in...tanforderungen



    Zitat Zitat von miamanu71 Beitrag anzeigen
    Habe gerade eben den All-Inkl Backup der Seite abspielen müssen, um die Seite wieder zu aktivieren...
    Warum musstet du ein Backup einspielen?
    » sponsor me via GitHub or PayPal or Revolut

  11. #11
    Contao-Nutzer
    Registriert seit
    24.10.2019.
    Beiträge
    12

    Gesicht zeigt die Zunge

    Zitat Zitat von Spooky Beitrag anzeigen
    Das ist keine Fehlermeldung nur ein Hinweis. Der Hinweis sagt dir auch, wie du den Strict Mode aktivieren kannst. Ist ansonsten auch im Handbuch dokumentiert: https://docs.contao.org/manual/de/in...tanforderungen



    Warum musstet du ein Backup einspielen?
    Weil danach die Webseite war nicht mehr erreichbar aufgrund von ... Skriptfehler.
    Jetzt habe ich die Version 4.8.8 installiert, die funktioniert. Aber die Erweiterungen die ich gerne hätte... wie con4gis oder cookiesbar oder Datenbank-Backup... keine davon funktioniert.
    Bin echt am verzweifeln.

  12. #12
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    29.578
    Partner-ID
    10107

    Standard

    Zitat Zitat von miamanu71 Beitrag anzeigen
    Weil danach die Webseite war nicht mehr erreichbar aufgrund von ... Skriptfehler.
    Hat aber vermutlich nichts mit dieser Meldung zu tun.


    Zitat Zitat von miamanu71 Beitrag anzeigen
    Jetzt habe ich die Version 4.8.8 installiert, die funktioniert.
    Contao 4.8 hat schon lange das Lebensende erreicht, dort wirst du auf jeden Fall in Fehler laufen. Aktualisiere auf Contao 4.9 oder 4.12 oder 4.13.

    Falls du mit dem Update Probleme hast, kannst du ja für die jeweiligen Probleme einen eigenen Thread anlegen.
    » sponsor me via GitHub or PayPal or Revolut

  13. #13
    Contao-Nutzer Avatar von hjo
    Registriert seit
    08.01.2013.
    Ort
    Wuppertal
    Beiträge
    111

    Standard MySQL Strict-Mode Meldung in 4.13

    Seit Contao 4.9 gibt es die MySQL Strict-Mode Meldung.

    Gestern habe ich eine 4.13 neu installiert (Installation über Contao-Manager aus Verzeichnis public.) und die Meldung ist nicht erschienen.
    Eine config.yml besteht nicht.

    Hat sich hier in 4.13 etwas geändert?


    Danke für Infos
    Hans-Jürgen

  14. #14
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    29.578
    Partner-ID
    10107

    Standard

    Ja, Contao 4.13 aktiviert den Strict Mode nun von Haus aus.
    » sponsor me via GitHub or PayPal or Revolut

  15. #15
    Contao-Nutzer Avatar von hjo
    Registriert seit
    08.01.2013.
    Ort
    Wuppertal
    Beiträge
    111

    Standard

    Danke für die schnelle Antwort

  16. #16
    Community-Moderator
    Wandelndes Contao-Lexikon
    Avatar von Spooky
    Registriert seit
    12.04.2012.
    Ort
    Scotland
    Beiträge
    29.578
    Partner-ID
    10107

    Standard

    Angehängte Grafiken Angehängte Grafiken
    » sponsor me via GitHub or PayPal or Revolut

Aktive Benutzer

Aktive Benutzer

Aktive Benutzer in diesem Thema: 1 (Registrierte Benutzer: 0, Gäste: 1)

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •